OGRE-Next: Ogre::v1::HardwareBufferLockGuard Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::HardwareBufferLockGuard Struct Reference
Core » RenderSystem

Locking helper. More...

`#include <OgreHardwareBuffer.h>`

## Public Member Functions
| HardwareBufferLockGuard ()
template<typename T>
| HardwareBufferLockGuard (const SharedPtr< T > &p, HardwareBuffer::LockOptions options)
template<typename T>
| HardwareBufferLockGuard (const SharedPtr< T > &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (HardwareBuffer *p, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (HardwareBuffer *p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| ~HardwareBufferLockGuard ()
template<typename T>
void | lock (const SharedPtr< T > &p, HardwareBuffer::LockOptions options)
template<typename T>
void | lock (const SharedPtr< T > &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | lock (HardwareBuffer *p, HardwareBuffer::LockOptions options)
void | lock (HardwareBuffer *p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
void | unlock ()

## Public Attributes
HardwareBuffer * | pBuf
void * | pData

## Detailed Description

Locking helper.

Guaranteed unlocking even in case of exception.

## Constructor & Destructor Documentation

## ◆ HardwareBufferLockGuard() [1/5]

Ogre::v1::HardwareBufferLockGuard::HardwareBufferLockGuard | ( |  | ) |
| inline

References pBuf, and pData.

## ◆ HardwareBufferLockGuard() [2/5]

Ogre::v1::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | HardwareBuffer * | p,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock(), pBuf, and pData.

## ◆ HardwareBufferLockGuard() [3/5]

Ogre::v1::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | HardwareBuffer * | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock(), pBuf, and pData.

## ◆ HardwareBufferLockGuard() [4/5]

template<typename T>

Ogre::v1::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | const SharedPtr< T > & | p,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock(), pBuf, and pData.

## ◆ HardwareBufferLockGuard() [5/5]

template<typename T>

Ogre::v1::HardwareBufferLockGuard::HardwareBufferLockGuard | ( | const SharedPtr< T > & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock(), pBuf, and pData.

## ◆ ~HardwareBufferLockGuard()

Ogre::v1::HardwareBufferLockGuard::~HardwareBufferLockGuard | ( |  | ) |
| inline

References unlock().

## Member Function Documentation

## ◆ lock() [1/4]

template<typename T>

void Ogre::v1::HardwareBufferLockGuard::lock | ( | const SharedPtr< T > & | p,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock().

## ◆ lock() [2/4]

template<typename T>

void Ogre::v1::HardwareBufferLockGuard::lock | ( | const SharedPtr< T > & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )
| inline

References lock().

## ◆ lock() [3/4]

void Ogre::v1::HardwareBufferLockGuard::lock | ( | HardwareBuffer * | p,
|  | HardwareBuffer::LockOptions | options )
| inline

References pBuf, pData, and unlock().

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), lock(), and lock().

## ◆ lock() [4/4]

void Ogre::v1::HardwareBufferLockGuard::lock | ( | HardwareBuffer * | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options )
| inline

References pBuf, pData, and unlock().

## ◆ unlock()

void Ogre::v1::HardwareBufferLockGuard::unlock | ( |  | ) |
| inline

References pBuf, and pData.

Referenced by ~HardwareBufferLockGuard(), lock(), lock(), and Ogre::VerticesRemapInfo::performIndexDataRemap().

## Member Data Documentation

## ◆ pBuf

HardwareBuffer* Ogre::v1::HardwareBufferLockGuard::pBuf

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), lock(), lock(), and unlock().

## ◆ pData

void* Ogre::v1::HardwareBufferLockGuard::pData

Referenced by HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), HardwareBufferLockGuard(), Ogre::VerticesRemapInfo::getRemappedVertexBuffer(), lock(), lock(), Ogre::VerticesRemapInfo::markUsedIndices(), Ogre::VerticesRemapInfo::performIndexDataRemap(), and unlock().

The documentation for this struct was generated from the following file:

- OgreHardwareBuffer.h